import request from '@/framework/utils/request';

//查询异常事件列表
export function queryAbnormalEvents(params: any = {}) {
  return request({ url: '/sms/abnormalEvent/list', method: 'get', params });
}

//根据编码获取事件
export function getAbnormalEvent(params: any = {}) {
  return request({ url: '/sms/abnormalEvent', method: 'get', params });
}
//事件重试
export function retryAbnormalEvent(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'},url: '/sms/abnormalEvent/retry', method: 'post', data });
}

//查询异常事件日志列表
export function queryAbnormalEventLogs(params: any = {}) {
  return request({ url: '/sms/abnormalEvent/log/list', method: 'get', params });
}

export function queryBusinessDicts(params: any = {}) {
  return request({ url: '/sms/abnormalEvent/businessDict/list', method: 'get', params });
}

export function querySubsystems(params: any = {}) {
  return request({ url: '/sms/abnormalEvent/subsystem/list', method: 'get', params });
}




